:root {
    --primary : #b6895b;
    --bg : #010101;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'poppins', sans-serif;
    background-color:  var(--bg);
    color: #fff;
}

/* Navbar */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.4rem 7%;
    background-color: rgba(1, 1, 1, 0.8);
    border-bottom: 1px solid #5e462e;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 9999;
}

.navbar .navbar-logo {
    font-size: 1.8rem;
    font-weight: 700;
    color: #fff;
    font-style: italic;
}

.navbar .navbar-logo span {
    color: var(--primary);
}

.navbar .navbar-nav a {
    color: #fff;
    display: inline-block;
    font-size: 1.1rem;
    margin: 0 0.8rem;
}

.navbar .navbar-nav a:hover {
    color: var(--primary);
}

.navbar .navbar-nav a::after {
    content: '';
    display: block;
    padding-bottom: 0.4rem;
    border-bottom: 0.1rem solid var(--primary);
    transform: scaleX(0);
    -webkit-transform: scaleX(0);
    -moz-transform: scaleX(0);
    -ms-transform: scaleX(0);
    -o-transform: scaleX(0);
    transition: 0.2s linear;
    -webkit-transition: 0.2s linear;
    -moz-transition: 0.2s linear;
    -ms-transition: 0.2s linear;
    -o-transition: 0.2s linear;
}

.navbar .navbar-nav a:hover::after {
    transform: scaleX(0.5);
    -webkit-transform: scaleX(0.5);
    -moz-transform: scaleX(0.5);
    -ms-transform: scaleX(0.5);
    -o-transform: scaleX(0.5);
}

.navbar .navbar-extra a {
    color: #fff;
    margin: 0 0.5rem;
}

.navbar .navbar-extra a:hover {
    color: var(--primary);
}

#menu {
    display: none;
}

/* search form */
.navbar .search-form {
    position: absolute;
    top: 100%;
    right: 7%;
    background-color: #fff;
    width: 30rem;
    height: 4.5rem;
    display: flex;
    align-items: center;
    transform: scaleY(0);
    -webkit-transform: scaleY(0);
    -moz-transform: scaleY(0);
    -ms-transform: scaleY(0);
    -o-transform: scaleY(0);
    transform-origin: top;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
}

.navbar .search-form.active {
    transform: scaleY(1);
    -webkit-transform: scaleY(1);
    -moz-transform: scaleY(1);
    -ms-transform: scaleY(1);
    -o-transform: scaleY(1);
}

.navbar .search-form input {
    height: 100%;
    width: 100%;
    font-size: 1.6rem;
    color: var(--bg);
    padding: 1rem;
}

.navbar .search-form label {
    cursor: pointer;
    font-size: 2rem;
    margin-right: 1.5rem;
    color: var(--bg);
}

/* Shooping cart */
#shopping-cart-button {
    position: relative;
}

#shopping-cart-button .quantity-badge {
    display: inline-block;
    padding: 1px 5px;
    background-color: red;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    font-size: 0.8rem;
    position: absolute;
    top: 0;
    right: -10px;
}

.shooping-cart {
    position: absolute;
    top: 100%;
    right: -100%;
    height: 100vh;
    width: 35rem;
    padding: 1.5rem;
    color: var(--bg);
    background-color: #fff;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
}

.shooping-cart.active {
    right: 0;
}

.shooping-cart .cart-item {
    margin: 2rem 0;
    display: flex;
    align-items: center;
    gap: 1.5rem;
    padding-bottom: 1rem;
    border-bottom: 1px dashed #666;
    position: relative;
}

.shooping-cart img {
    height: 4rem;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
}

.shooping-cart h3 {
    font-size: 1.4rem;
}

.shooping-cart h4 {
    font-size: 1.6rem;
    margin-top: -1rem;
    text-align: center
}

.shooping-cart .item-price {
    font-size: 1.2rem;
}

.shooping-cart .cart-item #add,
.shooping-cart .cart-item #remove {
    display: inline-block;
    padding: 2px 5px;
    cursor: pointer;
    margin: 0 8px;
    background-color: black;
    color: white;
    font-weight: bold;
    font-size: 1.1rem;
}


/* checkout */
.form-container {
    width: 100%;
    display: flex;
    justify-content: center;
    border-top: 1px solid black;
    margin-top: 1rem;
    padding: 1rem;
}

.form-container h5 {
    text-align: center;
    font-size: 1rem;
}

.form-container form {
    width: 100%;
    text-align: center;
}

.form-container label {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 1rem 0;
}

.form-container span {
    text-align: right;
}

.form-container input {
    background-color: #ddd;
    padding: 5px;
    font-size: 1rem;
    width: 70%;
}

.form-container .checkout-button {
    padding: 8px 18px;
    background-color: royalblue;
    color: white;
    font-weight: bold;
    font-size: 1rem;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
    margin: 1rem auto;
    cursor: pointer;
}

.form-container .checkout-button:hover {
    background-color: rgb(52, 80, 164);
    transition: .3s;
    -webkit-transition: .3s;
    -moz-transition: .3s;
    -ms-transition: .3s;
    -o-transition: .3s;
}



/* hero section */
.hero {
    min-height: 100vh;
    display: flex;
    align-items: center;
    background-image: url(Assets/bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
    mask-image: linear-gradient(rgba(0, 0, 0, 1) 70%, rgba(0, 0, 0, 0));
}

/* Gradient img */
/* .hero::after {
    content: '';
    display: block;
    position: absolute;
    width: 100%;
    height: 30%;
    bottom: 0;
    background: linear-gradient(0deg, rgba(1, 1, 3, 1) 8%, rgba(255, 255, 255, 0) 50%);
} */

.hero .content {
    padding: 1.4rem 7%;
    max-width: 60rem;
}

.hero .content h1 {
    font-size: 5em;
    color: #fff;
    text-shadow: 1px 1px 3px rgba(1,1,3,0.5);
    line-height: 1;
}

.hero .content h1 span {
    color: var(--primary);
}

.hero .content p {
    font-size: 1.6rem;
    margin-top: 1rem;
    line-height: 1.4;
    font-weight: 100;
    text-shadow: 1px 1px 3px rgba(1,1,3,0.5);
    mix-blend-mode: difference;
}

.hero .content .cta {
    margin-top: 1rem ;
    display: inline-block;
    padding: 1rem 2rem;
    font-size: 1.4rem;
    color: #fff;
    background-color: var(--primary);
    border-radius: 0.5rem;
    -webkit-border-radius: 0.5rem;
    -moz-border-radius: 0.5rem;
    -ms-border-radius: 0.5rem;
    -o-border-radius: 0.5rem;
    box-shadow: 1px 1px 3px rgba(1,1,3,0.5);
}

/* About section */
.about, 
.container-menu,
.contact,
.product{
    padding: 8rem 7% 1.4rem;
}

.about h2,
.container-menu h2,
.contact h2,
.product h2  {
    text-align: center;
    font-size: 2.6rem;
    margin-bottom: 3rem;
}

.about h2 span, 
.container-menu h2 span,
.contact h2 span,
.product h2 span {
    color: var(--primary);
}

.about .row {
    display: flex;
}

.about .row .about-img {
    flex: 1 1 45rem;
}

.about .row  .about-img img {
    width: 100%;
}

.about .row .content {
    flex: 1 1 35rem;
    padding: 0 2rem;
}

.about .row .content h3 {
    font-size: 1.9rem;
    margin-bottom: 1rem;
}

.about .row .content p {
    margin-bottom:  0.8rem;
    font-size: 1.2rem;
    font-weight: 100;
    line-height: 1.4;
}

/* menu section */
.container-menu h2,
.contact h2, 
.product h2 {
    margin-bottom: 1rem;
}

.container-menu p, 
.contact p,
.product p {
    text-align: center;
    max-width: 30rem;
    margin: auto;
    font-weight: 100;
    line-height: 1.6;
}

.container-menu .row {
    display: flex;
    flex-wrap: wrap;
    margin-top: 5rem;
    justify-content: center;
}

.container-menu .row .menu-card {
    flex: 1 1 200px;
    max-width: 200px;
    text-align: center;
    margin-top: 2rem;
}

.container-menu .row .menu-card img {
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    width: 70%;
}

.container-menu .row .menu-card-tittle {
    margin: 1rem auto 0.5rem;
}

/* Product section */
.product .row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 1.5rem;
    margin-top: 4rem;
}

.product .product-card {
    text-align: center;
    border: 1px solid #666;
    padding: 2rem;
}

.product .product-icons {
    display: flex;
    justify-content: center;
    gap: 0.5rem;
}

.product .product-icons a {
    width: 4rem;
    height: 4rem;
    color: #fff;
    margin: 0.3rem;
    border: 1px solid #666;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.product .product-icons a:hover {
    background-color: var(--primary);
    border: 1px solid var(--primary);
}

.product .product-image {
    padding: 1rem;
}

.product .product-image img {
    height: 25rem;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

.product .product-content h3 {
    font-size: 2rem;
}

.product .product-stars {
    font-size: 1.7rem;
    padding: 0.8rem;
    color: var(--primary);
}

.product .product-stars .star-full {
    fill: var(--primary);
}

.product .product-price {
    font-size: 1.3rem;
    font-weight: bold;
}



/* contact section */
.contact .row {
    display: flex;
    margin-top: 2rem;
    background-color: #222;
}

.contact .row .map {
    flex:  1 1 45rem;
    width: 100%;
    object-fit: cover;
}

.contact .row form {
    flex: 1 1 45rem;
    padding: 5rem 2rem;
    text-align: center;
}

.contact .row form .input-grup {
    display: flex;
    align-items: center;
    margin-top: 2rem;
    background-color: var(--bg);
    border: 1px solid #eeee;
    padding-left: 2rem;
}

.contact .row form .input-grup input {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.5rem;
    background-color: var(--bg);
    color: #fff;
}

.contact .row form .btn {
    margin-top: 3rem;
    display: inline-block;
    padding: 1rem 3rem;
    font-size: 1.7rem;
    color: #fff;
    background-color: var(--primary);
    cursor: pointer;
}

/* footer */
footer {
    background-color: var(--primary);
    text-align: center;
    padding: 1rem 0 3rem;
    margin-top: 3rem;
}

footer .sosial {
    padding: 1rem 0;
}

footer .sosial a {
    color: #fff;
    margin: 1rem;
}

footer .sosial a:hover,
footer .links a:hover {
    color: var(--bg);
}

footer .links {
    margin-bottom: 1rem;
}

footer .links a {
    color: #fff;
    padding: 0.7rem 1rem;
}

footer .credit {
    font-size: 0.8rem;
}

footer .credit a {
    color: var(--bg);
    font-weight: 700;
}

/* moodal box */
/* item detail */
.modal {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.6);
}

.modal-container {
    position: relative;
    background-color: #fefe;
    color: var(--bg);
    margin: 15% auto;
    padding: 1.2rem;
    border: 1px solid #666;
    width: 80%;
    animation: animateModal 0.5s;
    -webkit-animation: animateModal 0.5s;
}

/* animation */
@keyframes animateModal {
    from {
        top: -300px;
        opacity: 0;
    }
    to {
        top: 0;
        opacity: 1;
    }
    }

.modal-container .close-icon {
    position: absolute;
    right: 1rem;
}

.modal-content {
    display: flex;
    flex-wrap: nowrap;
}

.modal-content img {
    height: 16rem;
    margin-right: 2rem;
    margin-bottom: 2rem;
}

.modal-content p {
    font-size: 1.2rem;
    line-height: 1.8rem;
    margin-top: 1.2rem;
}

.modal-content a {
    display: flex;
    gap: 1rem;
    width: 12rem;
    background-color: var(--primary);
    color: #fff;
    margin-top: 1rem;
    padding: 1rem 1.6rem;
}




/* Media Screen Laptop */
@media (max-width: 1366px) {
    html {
        font-size: 75%;
    }
}


/* Tablet */
@media (max-width: 768px) {
    html {
        font-size: 62.5%;
    }

    #menu {
        display: inline-block;
    }

    .navbar .navbar-nav {
        position: absolute;
        top: 100%;
        right: -100%;
        background-color: #fff;
        width: 30rem;
        height: 100vh;
        transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -ms-transition: 0.3s;
        -o-transition: 0.3s;
}

    .navbar .navbar-nav.active {
        right: 0;
    }

    .navbar .navbar-nav a {
        color: var(--bg);
        display: block;
        margin: 1.5rem;
        padding: 0.5rem;
        font-size: 1.7rem;
    }

    .navbar .navbar-nav a::after {
        transform-origin: 0 0;
    }
    .navbar .navbar-nav a:hover::after {
        transform: scaleX(0.1);
        -webkit-transform: scaleX(0.1);
        -moz-transform: scaleX(0.1);
        -ms-transform: scaleX(0.1);
        -o-transform: scaleX(0.1);
}

.about .row {
    flex-wrap: wrap;
}

.about .row .about-img img {
    height: 24rem;
    object-fit: cover;
    object-position: center;
}

.about .row .content {
    padding: 0;
}

.about .row .content h3 {
    margin-top: 1rem;
    font-size: 2rem;
}
.about .row .content p {
    font-size: 1.5rem;
}

.container-menu .row {
    flex-direction: column;
    align-items: center;
}

.container-menu .menu-card {
    width: 100%;
}

.contact .row {
    flex-wrap: wrap;
}

.contact .row .map {
    height: 30rem;
}

.contact .row form {
    padding-top: 0;
}

.modal-content {
    flex-wrap: wrap;
}

.modal-container {
    height: 80%;
}

}

@media (max-width: 450px) {
    html {
        font-size: 55%;
    }

    .modal-container {
        height: 80%;
    }
}